using System;

namespace freetrain.world.soccerstadium
{
	/// <summary>
	/// Opponent team.
	/// </summary>
	[Serializable]
	public class OpponentTeam
	{
		/// <summary> Name of the team. </summary>
		public readonly string name;
		/// <summary> Strength of the team. </summary>
		public readonly int strength;
		/// <summary> Popularity of the team. </summary>
		public readonly int popularity;

		private OpponentTeam( string _name, int _strength, int _popularity ) {
			this.name = _name;
			this.strength = _strength;
            this.popularity = _popularity;
		}

		public static readonly OpponentTeam[] OPPONENTS = new OpponentTeam[]{
			new OpponentTeam("儁僇儖僞愹戜",0,10),
			new OpponentTeam("儌僜僨僥傿僆嶳妜",10,20),
			new OpponentTeam("屆搒儈僒儞僈",10,40),
			new OpponentTeam("徝杒儀儖儅乕儗",20,60),
			new OpponentTeam("僫僀價儗僢僋僗怴宍",20,30),
			new OpponentTeam("彫媨傾儖僕儍僕乕儔",30,50),
			new OpponentTeam("僈儞僶儗懢嶃",30,50),
			new OpponentTeam("償傿僢僙儖嶅屗",40,40),
			new OpponentTeam("墶郷F儅僲儕僗",40,70),
			new OpponentTeam("僒僜儖僢僠僃嫹搰",40,60),
			new OpponentTeam("僕儏僺儘斨岥",50,70),
			new OpponentTeam("僣儓僀僝懢嶃",50,50),
			new OpponentTeam("廈嶈傾僇儞僞乕儗",50,60),
			new OpponentTeam("幁捁傾儞僩儔乕僘",60,90),
			new OpponentTeam("柤岇壆僋儔儞僴僗",60,70),
			new OpponentTeam("FC懇嫗",70,70),
			new OpponentTeam("塝榓僽儖乕僗",90,100),
			new OpponentTeam("惔昘僄僗僾儕僘",100,80)
		};


		/// <summary>
		/// Select one team randomly.
		/// </summary>
		public static OpponentTeam drawRandom() {
			return OPPONENTS[Const.rnd.Next(OPPONENTS.Length)];
		}
	}
}
